Name:		tradietrakka
Version:	0.5
Release:	%mkrel 14
Group:		Office/Finance
License:	GPLv3
Summary:	Simple business tool for Tradesmen to keep track of invoices, tax etc
URL:		http://tradietrakka.googlecode.com/
Source0:	http://tradietrakka.googlecode.com/files/tradietrakka-0.5.tar.xz
# https://github.com/BackupGGCode/tradietrakka/commit/e3739e3cf6f0841a7769cb0779af988fa6dbb17d
Patch0:		tradietrakka-0.5-upstream-Qt5-port.patch
Patch1:		tradietrakka-0.5-fix-build-against-qt-5.11.0.patch
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
TradieTrakka is a very simple, easy to use program,
aimed at Tradesmen running a small business.
It makes life easy by making it trivial to Quote, Invoice
and Generate BAS (Australian GST reporting).


%prep
%setup -q -n %{name}
%autopatch -p1

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.5-14.mga8
+ Revision: 1660078
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.5-13.mga8
+ Revision: 1525118
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 umeabot <umeabot> 0.5-12.mga7
+ Revision: 1385121
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.5-11.mga7
+ Revision: 1301450
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 daviddavid <daviddavid> 0.5-10.mga7
+ Revision: 1233551
- add patch to fix build with new Qt5 5.11.0 stack

* Mon May 14 2018 daviddavid <daviddavid> 0.5-9.mga7
+ Revision: 1229300
- add upstream patch to port to Qt5

* Fri Feb 05 2016 umeabot <umeabot> 0.5-8.mga6
+ Revision: 937620
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.5-7.mga6
+ Revision: 937167
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5-6.mga5
+ Revision: 744428
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-5.mga5
+ Revision: 689940
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5-4.mga4
+ Revision: 519730
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.5-3.mga3
+ Revision: 384731
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.5-2.mga3
+ Revision: 324791
- update Group: Office/Finance
- rebuild for Mga3 Beta1

* Sun Mar 11 2012 kamil <kamil> 0.5-1.mga2
+ Revision: 222567
- imported package tradietrakka


* Sat Mar 10 2012 Steven Tucker <tuxta2@gmail.com> 0.5-1.mga2
- initial .spec for Mageia

